KDE4 kdebase-workspace compile error (SOLVED, sort of..)

Alonso Graterol alonso.graterol at gmail.com
Sun Nov 29 05:55:07 PST 2009


2009/11/24  <blfs-support-request at linuxfromscratch.org>:
> On Mon, Nov 23, 2009 at 12:58 AM, Simon Geard <delgarde at ihug.co.nz> wrote:
>> Errors dealing with XInput (libXi) might relate to significant changes
>> in input handling that went into X earlier this year. I'm afraid I can't
>> be more specific, but it may be that your X libraries are too old for
>> KDE (or less likely, too new).
> Then, try this:
>
> 1. Rebuild Xorg-lib, but upgrade libXi to a newer version.
> 2. Then, rebuild this part of KDE.
> 3. If you get the same error, downgrade to an older version, and then
> rebuild this part of KDE, and then see what happens.
>
> --
> William Immendorf
> The ultimate in free computing.
> Messages in plain text, please, no HTML.
>


I was already using te latest libXi-1.3 and went back to 1.2.1 version
but tat did not solve the issue.
I finally was able to work around it editing the originating command
to replace -lXi for the absolute path to libXi.so.
I am not sure why but although that package reported to find X11
libraries and headers it also complained that could not find -lX11 or
-lXi. I ran ldconfig as root but tat did not help either. How can I be
sure any package is able to find the library wen called as "-l(***)"?

Thanks,

Alonso



More information about the blfs-support mailing list